<?xml version="1.0"?> 

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
                xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
                xmlns:rss="http://purl.org/rss/1.0/"
                xmlns:dc="http://purl.org/dc/elements/1.1/"
                xmlns:foo="http://purl.org/rss/1.0/modules/foo/"
                version="1.0">
    
    <xsl:output indent="yes"/>

    <xsl:template match="/rdf:RDF">
        
        <rdf:RDF>

            <rdf:Description rdf:about="{rss:channel/@rdf:about}">

                <foo:bar>

                    <rdf:Bag>

                        <xsl:for-each select="rss:channel/foo:bar">
                            
                            <rdf:li rdf:resource="{@rdf:about}"/>
                            
                        </xsl:for-each>
                        
                    </rdf:Bag>

                </foo:bar>

            </rdf:Description>

            <xsl:apply-templates select="rss:channel/foo:bar"/>

        </rdf:RDF>

    </xsl:template>

    <xsl:template match="@*|node()">

        <xsl:copy-of select="."/>

    </xsl:template>

</xsl:stylesheet>

